<!--section-->
<section>
    <div class="container">
        <div class="row">
            <%= form_for 'search', url: search_companies_path, method: :post, remote: true do |f| %>
                <!--left-section-->
                <div class="col-md-3">
                    <div class="filter-sec">
                        <div class="col-sm-12">
                            <h1 class="title">Filter <a class="expand collaps" id="mexpand" href="javascript:void(0)"></a></h1>
                            <div class="mobile-expand">
                                <ul>
                                    <li>
                                        <h2>Type</h2>
                                    </li>
                                    <li>
                                        <label class="cradio">H1B
                                            <input type="radio" checked="checked" name="type" value='h1b'>
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                    <li>
                                        <label class="cradio">Green Card
                                            <input type="radio" name="type" value="greencard">
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                    <li>
                                        <label class="cradio">School Alumni
                                            <input type="radio" name="type" value="alumni">
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                </ul>
                                <!-- <ul>
                                    <li>
                                        <h2>Year</h2>
                                    </li>
                                    <li>
                                        <label class="cradio">2018
                                            <input type="radio" checked="checked" name="year" value="2018">
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                    <li>
                                        <label class="cradio">2017
                                            <input type="radio" name="year" value="2017">
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                </ul> -->
                                <ul>
                                    <li>
                                        <h2>Area Type</h2>
                                    </li>
                                    <li>
                                        <label class="cradio">Industry
                                            <input type="radio" checked="checked" name="areatype" class="areatyperadio" value='industry'>
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                    <li>
                                        <label class="cradio">Company
                                            <input type="radio" name="areatype" class="areatyperadio" value="company">
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                </ul>
                                <ul style="margin-bottom: 0" class="industry">
                                    <li>
                                        <h2>Industry</h2>
                                        <a class="expand expand_industry" id="expand_industry" href="#"></a>
                                        <input type="text" name="search_industry" class="form-control rounded searchfield search_box" placeholder="Search" />
                                    </li>
                                </ul>
                                <ul class="indsec show list_industry" >
                                    <%= render partial: 'list_visa_industries', locals: { '@industries': @industries } %>
                                </ul>
                                <ul style="margin-bottom: 0;" class="company">
                                    <li>
                                        <h2>Company</h2>
                                        <a class="expand expand_company" id="expand_company" href="#"></a>
                                        <input type="text" name="search_company" class="form-control rounded searchfield search_box" placeholder="Search" />
                                    </li>
                                </ul>
                                <ul class="comsec show list_company">
                                    <%= render partial: 'list_visa_companies', locals: { '@companies': @companies } %>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!--/left-section-->
                <!--middle-section-->
                <div class="col-md-6">
                    <div class="search-box">
                        <div class="col-sm-12">
                            <h1 class="title">Visa Insights</h1>
                            <div class="row">
                                <%#= form_for 'search', url: search_companies_path, method: :post, remote: true do |f| %>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <!-- <input type="text" class="form-control" placeholder="State"> -->
                                            <%= f.select :state_ids, options_for_select(@states.map{ |x| [ x.state_name, x.id ] }), {}, {class: 'form-control select2 select_state', multiple: 'multiple'} %>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <!-- <input type="text" class="form-control" placeholder="City"> -->
                                            <%= f.select :city_ids, [], {}, {class: 'form-control select2 select_city', multiple: 'multiple'} %>
                                        </div>
                                    </div>
                                    <div id="GreenCard">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <!-- <input type="text" class="form-control" placeholder="State"> -->
                                                <%= f.select :birth_country_ids, [], {}, {class: 'form-control select2 select_birth_country', multiple: 'multiple'} %>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <!-- <input type="text" class="form-control" placeholder="City"> -->
                                                <%= f.select :university_ids, [], {}, {class: 'form-control select2 select_university', multiple: 'multiple'} %>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="alumni">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <%= f.select :graduation_year_ids, [], {}, {class: 'form-control select2 select_graduation_year', multiple: 'multiple'} %>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <%= f.select :emp_function_ids, [], {}, {class: 'form-control select2 select_function', multiple: 'multiple'} %>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <%= f.select :job_title_ids, options_for_select(@job_titles.map{ |x| [ x.job_title_name, x.id ] }), {}, {class: 'form-control select2 select_title', multiple: 'multiple'} %>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <!-- <input type="button" class="btn btn-theme rounded pull-right" value="Search"> -->
                                            <%= f.submit 'Search', class: 'btn btn-theme rounded pull-right' %>
                                            <div class="clearfix"></div>
                                        </div>
                                    </div>
                                <%# end %>
                            </div>
                        </div>
                    </div>
                    <div class="companies">

                    </div>
                </div>
                <!--/middle-section-->
            <% end %>
            <!--right-section-->
            <div class="fav_companies">
                <%= render 'layouts/sidebar_right' %>
            </div>
            <!--/right-section-->
        </div>
    </div>
</section>
<!--/section-->

<script>
    $(document).ready(function(){
        // $('.company').hide();
        // $('.list_company').hide()
        $('.list_company').addClass('hide_list')
        $( ".select_state" ).select2({
            // theme: "bootstrap"
            placeholder: 'Select State',
            allowClear: true,
            multiple: true
        });
        $( ".select_city" ).select2({
            // theme: "bootstrap"
            placeholder: 'Select City',
            allowClear: true,
            multiple: true
        });
        $( ".select_title" ).select2({
            // theme: "bootstrap"
            placeholder: 'Select Job Title',
            allowClear: true,
            multiple: true
        });
        fill_city();
        update_company_industry();
        video_screen_sidebar();
    });
    function fill_city(){
        $('#search_state_ids').on('change', function(){
            var ids = $(this).val();
            $.ajax({
                // url: '../companies/get_cities?state_ids='+ids,
                url: '/interstride/companies/get_cities?state_ids='+ids,
                method: 'get',
                dataType: 'script',
                success: function(data){
                },
                failure: function(data){
                }
            })
        })
    }
    function update_company_industry(){
        $('input[type=radio][name=areatype]').change(function() {
            if($(this).val() == 'company'){
                $('.company').show();
                // $('.list_company').show();
                // $('.comsec').show()
                // $('.industry').hide()
                // $('.list_industry').hide();
                // $('.indsec').removeClass('show')
                // ===================
                $('.list_industry').removeClass('show_list')
                $('.list_company').removeClass('hide_list')
                $('.list_company').addClass('show_list')

                // ========================
                $('.industry').hide();
                $('.list_industry').hide();
                // =============
                $('.list_industry').addClass('hide_list')
                // ==========
                $('#expand_company').on('click', function(){
                    // alert(4)
                    $('.comsec').toggleClass("show");
                    $('.expand_company').toggleClass("collaps");
                    $('.indsec').removeClass('show')
                    // $('.share-article').attr('disabled', true)
                });
            }
            else{
                $('.industry').show();
                // $('.list_industry').show();
                // $('.indsec').show()
                // $('.company').hide()
                // $('.list_company').hide();
                // $('.comsec').removeClass('show')
                // $('.list_industry').show();
               // =============================
                $('.list_industry').removeClass('hide_list')
                $('.list_company').removeClass('show_list')
                $('.list_industry').addClass('show_list')
                $('.company').hide();
                // $('.list_company').hide();
                $('.list_company').addClass('hide_list')
                // =====================================

                $('#expand_industry').on('click', function(){
                    // alert(4)
                    $('.indsec').toggleClass("show");
                    $('.expand_industry').toggleClass("collaps");
                    $('.comsec').removeClass('show')
                    // $('.share-article').attr('disabled', true)
                });
            }
        });
        // $('.company').hide();
    }
    function video_screen_sidebar(){
        $('.category_list').on('click', function(e){
            $('.category_list').removeClass('active')
            $(this).addClass('active')
            $.ajax({
                // url: '../videos/get_video_list',
                url: '/interstride/videos/get_video_list',
                method: 'get',
                dataType: 'script',
                data: { category_id: $(this).data('id') },
                success: function(response){
                    console.log('success')
                },
                error: function(response){
                }
            })
            // e.preventDefault();
        })
    }
</script>
